NEWS

Wichtige Hinweise bei neueren npm-Versionen und sudo


  • @AlCalzone:

    Wir kommen der Sache näher!

    sudo chown -R iobroker:iobroker /home/iobroker
    ```` `  
    

    falsch - wir haben es geschafft!

    $ ./iobroker add smartmeter  --host ioBroker-Strom
    NPM version: 6.4.1
    npm install iobroker.smartmeter --production --save --prefix "/opt/iobroker" (System call)
    host.ioBroker-Strom install adapter smartmeter
    got /opt/iobroker/node_modules/iobroker.smartmeter/admin
    upload [5] smartmeter.admin /opt/iobroker/node_modules/iobroker.smartmeter/admin/words.js words.js application/javascript
    upload [4] smartmeter.admin /opt/iobroker/node_modules/iobroker.smartmeter/admin/tooltip.css tooltip.css text/css
    upload [3] smartmeter.admin /opt/iobroker/node_modules/iobroker.smartmeter/admin/smartmeter.png smartmeter.png image/png
    upload [2] smartmeter.admin /opt/iobroker/node_modules/iobroker.smartmeter/admin/smartmeter.jpg smartmeter.jpg image/jpeg
    upload [1] smartmeter.admin /opt/iobroker/node_modules/iobroker.smartmeter/admin/questionmark.png questionmark.png image/png
    upload [0] smartmeter.admin /opt/iobroker/node_modules/iobroker.smartmeter/admin/index.html index.html text/html
    host.ioBroker-Strom object system.adapter.smartmeter created
    host.ioBroker-Strom create instance smartmeter
    host.ioBroker-Strom object system.adapter.smartmeter.0.outputCount created
    host.ioBroker-Strom object system.adapter.smartmeter.0.inputCount created
    host.ioBroker-Strom object system.adapter.smartmeter.0.uptime created
    host.ioBroker-Strom object system.adapter.smartmeter.0.memRss created
    host.ioBroker-Strom object system.adapter.smartmeter.0.memHeapTotal created
    host.ioBroker-Strom object system.adapter.smartmeter.0.memHeapUsed created
    host.ioBroker-Strom object system.adapter.smartmeter.0.connected created
    host.ioBroker-Strom object system.adapter.smartmeter.0.alive created
    host.ioBroker-Strom object system.adapter.smartmeter.0 created
    process exited with code 0
    

    Vielen,vielen Dank! Die Hilfestellungen haben mir geholfen, das System besser zu verstehen.


  • Jetzt fehlt mir nur noch Hilfe 🙂 war schon versucht mein Backup einzuspielen, aber denke, wenn ich mein Problem mit npm gelöst bekomme, dass das anderen helfen könnte…

    Gesendet von meinem HUAWEI RIO-L01 mit Tapatalk

  • Developer

    @Kueppert:

    aber denke, wenn ich mein Problem mit npm gelöst bekomme, dass das anderen helfen könnte… `
    Definitiv - ich stochere bei dir allerdings noch etwas im Dunkeln. Hilft es möglicherweise, wenn du als root die folgenden Befehle ausführst?

    chown -R root:root /root
    chown -R thorsten:thorsten /home/thorsten
    

  • Moin ,

    leider doch nicht gelöst.

    ich habe die gleichen Probleme:

    Über die Konsole bekomme ich:

    npm i iobroker.zwave —usafe-perm
    npm ERR! code EINVALIDTAGNAME
    npm ERR! Invalid tag name "—usafe-perm": Tags may not have any characters that encodeURIComponent encodes.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     /home/pi/.npm/_logs/2019-01-11T16_25_56_781Z-debug.log
    
    

    auch mit su

    sudo -H less /root/.npm/_logs/2019-01-11T16_26_20_359Z-debug.log
    pi@ioBroker-RasPi:~ $ npm i iobroker.zwave —usafe-perm
    npm ERR! code EINVALIDTAGNAME
    npm ERR! Invalid tag name "—usafe-perm": Tags may not have any characters that encodeURIComponent encodes.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     /home/pi/.npm/_logs/2019-01-11T16_31_55_164Z-debug.log
    
    

    Das Logfile schreibt:

    0 info it worked if it ends with ok
    1 verbose cli [ '/usr/bin/node',
    1 verbose cli   '/usr/bin/npm',
    1 verbose cli   'i',
    1 verbose cli   'iobroker.zwave',
    1 verbose cli   '—usafe-perm' ]
    2 info using npm@6.4.1
    3 info using node@v8.15.0
    4 verbose npm-session b54ceb41fee903c9
    5 silly install loadCurrentTree
    6 silly install readLocalPackageData
    7 silly fetchPackageMetaData error for iobroker.zwave@latest install iobroker.zwave —usafe-perm is not a legal HTTP header value
    8 timing stage:rollbackFailedOptional Completed in 18ms
    9 timing stage:runTopLevelLifecycles Completed in 1717ms
    10 verbose stack Error: Invalid tag name "—usafe-perm": Tags may not have any characters that encodeURIComponent encodes.
    10 verbose stack     at invalidTagName (/usr/lib/node_modules/npm/node_modules/npm-package-arg/npa.js:87:15)
    10 verbose stack     at fromRegistry (/usr/lib/node_modules/npm/node_modules/npm-package-arg/npa.js:290:13)
    10 verbose stack     at resolve (/usr/lib/node_modules/npm/node_modules/npm-package-arg/npa.js:77:12)
    10 verbose stack     at npa (/usr/lib/node_modules/npm/node_modules/npm-package-arg/npa.js:48:10)
    10 verbose stack     at /usr/lib/node_modules/npm/lib/install/deps.js:209:14
    10 verbose stack     at /usr/lib/node_modules/npm/node_modules/slide/lib/async-map.js:52:35
    10 verbose stack     at Array.forEach (<anonymous>)
    10 verbose stack     at /usr/lib/node_modules/npm/node_modules/slide/lib/async-map.js:52:11
    10 verbose stack     at Array.forEach (<anonymous>)
    10 verbose stack     at asyncMap (/usr/lib/node_modules/npm/node_modules/slide/lib/async-map.js:51:8)
    10 verbose stack     at exports.getAllMetadata (/usr/lib/node_modules/npm/lib/install/deps.js:206:3)
    10 verbose stack     at Installer.loadArgMetadata (/usr/lib/node_modules/npm/lib/install.js:360:3)
    10 verbose stack     at /usr/lib/node_modules/npm/lib/install.js:695:16
    10 verbose stack     at BB.join.then (/usr/lib/node_modules/npm/lib/install/read-shrinkwrap.js:34:16)
    10 verbose stack     at tryCatcher (/usr/lib/node_modules/npm/node_modules/bluebird/js/release/util.js:16:23)
    10 verbose stack     at Promise._settlePromiseFromHandler (/usr/lib/node_modules/npm/node_modules/bluebird/js/release/promise.js:512:31)
    11 verbose cwd /home/pi
    12 verbose Linux 4.14.79-v7+
    13 verbose argv "/usr/bin/node" "/usr/bin/npm" "i" "iobroker.zwave" "—usafe-perm"
    14 verbose node v8.15.0
    15 verbose npm  v6.4.1
    16 error code EINVALIDTAGNAME
    17 error Invalid tag name "—usafe-perm": Tags may not have any characters that encodeURIComponent encodes.
    18 verbose exit [ 1, true ]</anonymous></anonymous> 
    

    Freue mich über jeden hilfreichen Hinweis

    Detlev.


  • @AlCalzone:

    @Kueppert:

    aber denke, wenn ich mein Problem mit npm gelöst bekomme, dass das anderen helfen könnte… `
    Definitiv - ich stochere bei dir allerdings noch etwas im Dunkeln. Hilft es möglicherweise, wenn du als root die folgenden Befehle ausführst?

    chown -R root:root /root
    chown -R thorsten:thorsten /home/thorsten
    ```` `  
    

    Hallo AlCalzone,

    habe beide Befehle als root via Putty eigegeben und danach direkt mal nen Update vom PAW ausprobiert. Leider kein Erfolg:

    ! $ ./iobroker upgrade paw
    ! Update paw from @0.2.6 to @0.2.7
    ! NPM version: 6.5.0
    ! npm install iobroker.paw@0.2.7 –production --save --prefix "/opt/iobroker" (System call)
    ! npm
    ! ERR! path /root/.npm/_logsnpm ERR! code EACCES
    ! npm ERR! errno -13
    ! npm ERR! syscall scandir
    ! npm ERR! Error: EACCES: permission denied, scandir '/root/.npm/_logs'
    ! npm ERR! at Error (native)
    ! npm ERR! { Error: EACCES: permission denied, scandir '/root/.npm/_logs'
    ! npm ERR! at Error (native)
    ! npm ERR! stack: 'Error: EACCES: permission denied, scandir '/root/.npm/_logs'\n at Error (native)',
    ! npm ERR! errno: -13,
    ! npm ERR! code: 'EACCES',
    ! npm ERR! syscall: 'scandir',
    ! npm ERR! path: '/root/.npm/_logs' }
    ! npm ERR!
    ! npm ERR! The operation was rejected by your operating system.
    ! npm ERR! It is likely you do not have the permissions to access this file as the current user
    ! npm ERR!
    ! npm ERR! If you believe this might be a permissions issue, please double-check the
    ! npm ERR! permissions of the file and its containing directories, or try running
    ! npm ERR! the command again as root/Administrator (though this is not recommended).
    ! glob error { Error: EACCES: permission denied, scandir '/root/.npm/_logs' at Error (native)
    ! stack: 'Error: EACCES: permission denied, scandir '/root/.npm/_logs'\n at Error (native)',
    ! errno: -13,
    ! code: 'EACCES',
    ! syscall: 'scandir',
    ! path: '/root/.npm/_logs' }
    ! npm ERR! path /root/.npm/_cacache/index-v5/f6/d3/856f4e146dc3e8cb995652c4d6a1e16806d6bca7e87878fd9046e55ea74fnpm ERR! code EACCES
    ! npm ERR! errno -13
    ! npm ERR! syscall open
    ! npm ERR! Error: EACCES: permission denied, open '/root/.npm/_cacache/index-v5/f6/d3/856f4e146dc3e8cb995652c4d6a1e16806d6bca7e87878fd9046e55ea74f'npm ERR! at Error (native)
    ! npm ERR! { Error: EACCES: permission denied, open '/root/.npm/_cacache/index-v5/f6/d3/856f4e146dc3e8cb995652c4d6a1e16806d6bca7e87878fd9046e55ea74f'
    ! npm ERR! at Error (native)
    ! npm ERR! cause:
    ! npm ERR! { Error: EACCES: permission denied, open '/root/.npm/_cacache/index-v5/f6/d3/856f4e146dc3e8cb995652c4d6a1e16806d6bca7e87878fd9046e55ea74f'
    ! npm ERR! at Error (native)
    ! npm ERR! errno: -13,
    ! npm ERR! code: 'EACCES',
    ! npm ERR! syscall: 'open',
    ! npm ERR! path: '/root/.npm/_cacache/index-v5/f6/d3/856f4e146dc3e8cb995652c4d6a1e16806d6bca7e87878fd9046e55ea74f' },
    ! npm ERR! isOperational: true,
    ! npm ERR! stack: 'Error: EACCES: permission denied, open '/root/.npm/_cacache/index-v5/f6/d3/856f4e146dc3e8cb995652c4d6a1e16806d6bca7e87878fd9046e55ea74f'\n at Error (native)',
    ! npm ERR! errno: -13,
    ! npm ERR! code: 'EACCES',
    ! npm ERR! syscall: 'open',
    ! npm ERR! path: '/root/.npm/_cacache/index-v5/f6/d3/856f4e146dc3e8cb995652c4d6a1e16806d6bca7e87878fd9046e55ea74f' }
    ! npm ERR!
    ! npm ERR! The operation was rejected by your operating system.
    ! npm ERR! It is likely you do not have the permissions to access this file as the current user
    ! npm ERR!
    ! npm ERR! If you believe this might be a permissions issue, please double-check the
    ! npm ERR! permissions of the file and its containing directories, or try running
    ! npm ERR! the command again as root/Administrator (though this is not recommended).
    ! npm
    ! WARN svg-inline-react@1.0.3 requires a peer of react@^0.14.0 || ^15.0.0 but none is installed. You must install peer dependencies yourself.
    ! npm WARN optional SKIPPING OPTIONAL DEPENDENCY: xpc-connection@0.1.4 (node_modules/xpc-connection):npm
    ! WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for xpc-connection@0.1.4: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})npm WARN optional SKIPPING OPTIONAL DEPENDENCY: @abandonware/bluetooth-hci-socket@0.5.3-1 (node_modules/@abandonware/bluetooth-hci-socket):
    ! npm WARN optional SKIPPING OPTIONAL DEPENDENCY: @abandonware/bluetooth-hci-socket@0.5.3-1 preinstall: npm install node-pre-gyp
    ! npm WARN optional SKIPPING OPTIONAL DEPENDENCY: Exit status 243
    ! npm install --production (System call) in "/opt/iobroker/node_modules/iobroker.paw"
    ! npm notice created a lockfile as package-lock.json. You should commit this file.
    ! got /opt/iobroker/node_modules/iobroker.paw/admin
    ! upload [17] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/words.js words.js application/javascript
    ! Update "system.adapter.paw.0"
    ! upload [16] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/paw.png paw.png image/png
    ! upload [15] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/index_m.html index_m.html text/html
    ! upload [14] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/index.html index.html text/html
    ! upload [13] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/img/card_logo4.jpg img/card_logo4.jpg image/jpeg
    ! upload [12] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/img/card_logo3.jpg img/card_logo3.jpg image/jpeg
    ! upload [11] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/img/card_logo2.jpg img/card_logo2.jpg image/jpeg
    ! upload [10] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/img/card_logo1.jpg img/card_logo1.jpg image/jpeg
    ! upload [9] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/img/Screenshot_2.jpg img/Screenshot_2.jpg image/jpeg
    ! upload [8] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/img/Screenshot_1.jpg img/Screenshot_1.jpg image/jpeg
    ! upload [7] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/i18n/ru/translations.json i18n/ru/translations.json application/json
    ! upload [6] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/i18n/pt/translations.json i18n/pt/translations.json application/json
    ! upload [5] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/i18n/nl/translations.json i18n/nl/translations.json application/json
    ! upload [4] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/i18n/it/translations.json i18n/it/translations.json application/json
    ! upload [3] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/i18n/fr/translations.json i18n/fr/translations.json application/json
    ! upload [2] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/i18n/es/translations.json i18n/es/translations.json application/json
    ! upload [1] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/i18n/en/translations.json i18n/en/translations.json application/json
    ! upload [0] paw.admin /opt/iobroker/node_modules/iobroker.paw/admin/i18n/de/translations.json i18n/de/translations.json application/json
    ! Adapter "paw" updated
    ! process exited with code 0

    Hatte gestern auch versucht, nen anderen Adapter (zigbee von artek) via Katze und eigener URL upzudaten. Das klappt garnicht mehr 😞 Könnte das nochmal machen und die Fehlermeldung hier einstellen wenn gewünscht.

    Wenn ich als root via putty den MC öffne, komme ich auch in den Ordner root/.npm rein…sehr komisch.

    Versuche ich genau das gleiche als User thorsten, habe ich keinen Zugriff auf root/.npm

    HINWEIS:

    So, habe nun in der sshd_config auch den root-User als Anmeldung zugelassen und danach nochmal das Update vom zigbee-Adapter via Katze ausprobiert. Diesmal war die Fehlermeldung sehr viel kürzer:

    ! $ ./iobroker url "https://github.com/arteck/ioBroker.zigbee" –debug
    ! install https://github.com/arteck/ioBroker.zigb ... all/master
    ! npm install https://github.com/arteck/ioBroker.zigb ... all/master --production --save --prefix "/opt/iobroker" (System call)
    ! npm ERR! code 128
    ! npm ERR! Command failed: /usr/bin/git clone --depth=1 -q -b master https://github.com/Koenkk/zcl-id.git /root/.npm/_cacache/tmp/git-clone-89ea96f0npm ERR! fatal: Konnte führende Verzeichnisse von '/root/.npm/_cacache/tmp/git-clone-89ea96f0' nicht erstellen.: Keine Berechtigung
    ! npm ERR!
    ! npm ERR!
    ! A complete log of this run can be found in:npm ERR! /root/.npm/_logs/2019-01-11T18_47_28_394Z-debug.log
    ! process exited with code 0

    Hat also aber auch nix geholfen 😞 jetzt hab ich keine Idee mehr - außer npm (heisst das java etc???) neu zu installieren…

    Gehe ich direkt via putty (Anmeldung DIREKT als User root, was nun klappt, in den MC, kann ich problemlos auf das Verzeichnis zugreifen...gibts doch nicht...).

    Könnte noch über die Konsole den zigbee-Adapter updaten, aber das probiere ich erst nach Anweisung 😉


  • @boni127:

    Moin ,

    leider doch nicht gelöst.

    ich habe die gleichen Probleme:

    Über die Konsole bekomme ich:

    npm i iobroker.zwave —usafe-perm
    npm ERR! code EINVALIDTAGNAME
    npm ERR! Invalid tag name "—usafe-perm": Tags may not have any characters that encodeURIComponent encodes.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     /home/pi/.npm/_logs/2019-01-11T16_25_56_781Z-debug.log
    
    

    auch mit su

    sudo -H less /root/.npm/_logs/2019-01-11T16_26_20_359Z-debug.log
    pi@ioBroker-RasPi:~ $ npm i iobroker.zwave —usafe-perm
    npm ERR! code EINVALIDTAGNAME
    npm ERR! Invalid tag name "—usafe-perm": Tags may not have any characters that encodeURIComponent encodes.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     /home/pi/.npm/_logs/2019-01-11T16_31_55_164Z-debug.log
    
    

    Freue mich über jeden hilfreichen Hinweis

    Detlev. `

    Hi Detlev,

    wie kommst denn auf das commando````
    —usafe -perm


  • Ich denke, wenn keinem mehr etwas einfällt, werde ich es erst Mal mit meinem Backup versuchen. Ist noch nicht lang her (Snspshot).

    Vielleicht noch interessant: hab auch den js Adapter auf 4.0.7 angehoben. Kam von der letzten 3er Version. Hab aber gelesen, dass eigentlich nur die Optik geändert wurde.

    Danke aber schon Mal für die Unterstützung und viele Grüße, Thorsten

    Gesendet von meinem HUAWEI RIO-L01 mit Tapatalk


  • Hallo zusammen,

    was soll ich sagen: funktioniert jetzt ??!!!!

    Was habe ich eben einfach mal gemacht: erst auf der console (putty) iobroker stop dann einen reboot von ioBroker via commando auf der Konsole "reboot"

    Bei allen meinen hier im Thread vorangegangenen doings habe ich danach nie einen reboot gemacht. Ggf. lag es daran, dass ich weiterhin die npm-Fehler hatte?!

    Vielen Dank an AlCalzone für die geposteten Befehle.

    @Calzone: Muss man nach den von dir genannten Befehlen immer einen reboot machen? Wenn nein, war vermutlich bei mit das Freischalten des root die Lösung des Problems…


  • Moin,

    @Kueppert Du hast natürlich recht, habe das Kommando aus einem anderen Thread kopiert und genutzt, in der Hoffnung es würde funktionieren.

    mit

    sudo -H npm i iobroker.zwave -unsafe -perm
    

    komme ich schon einen Schritt weiter, aber die Installation wirft weiter Fehler.

    Ich nutze das Image vom 4.1.19 auf einem Raspberry Pi 2 Model B Rev 1.1

    Hier die Ausgabe während der Installation

    ! sudo -H npm i iobroker.zwave -unsafe -perm
    ! > iobroker.zwave@1.3.1 preinstall /home/pi/node_modules/iobroker.zwave
    ! > node lib/preinstall.js
    ! –-> find /tmp -name 'CentralScene.h'
    ! ---> find /usr/include/ -name 'CentralScene.h'
    ! ---> find /usr/local/include/ -name 'CentralScene.h'
    ! CentralScene.h found in /usr/local/include/openzwave/command_classes/CentralScene.h
    ! ---> find /usr/local/include/ -name 'CentralScene.h'|grep 'createSupportedKeyAttributesValues'
    ! ---> Error: Command failed: find /usr/local/include/ -name 'CentralScene.h'|grep 'createSupportedKeyAttributesValues'
    ! ---> apt-get install libudev-dev -y
    ! ---> curl -L -O https://github.com/OpenZWave/open-zwave ... master.zip
    ! % Total % Received % Xferd Average Speed Time Time Time Current
    ! Dload Upload Total Spent Left Speed
    ! 100 125 0 125 0 0 189 0 --:--:-- --:--:-- --:--:-- 189
    ! 100 1878k 0 1878k 0 0 855k 0 --:--:-- 0:00:02 --:--:-- 1384k
    ! ---> rm -rf open-zwave-master
    ! ---> unzip master.zip && rm master.zip
    ! ---> cd open-zwave-master && curl -O -L https://github.com/OpenZWave/open-zwave/pull/1125.patch && patch -p1 < 1125.patch
    ! % Total % Received % Xferd Average Speed Time Time Time Current
    ! Dload Upload Total Spent Left Speed
    ! 100 147 0 147 0 0 220 0 --:--:-- --:--:-- --:--:-- 220
    ! 100 16081 0 16081 0 0 10628 0 --:--:-- 0:00:01 --:--:-- 26801
    ! ---> cd open-zwave-master && make && make install
    ! In file included from /usr/include/c++/6/map:60:0,
    ! from /home/pi/node_modules/iobroker.zwave/open-zwave-master/cpp/src/command_classes/CommandClasses.h:32,
    ! from /home/pi/node_modules/iobroker.zwave/open-zwave-master/cpp/src/command_classes/ManufacturerSpecific.cpp:28:
    ! /usr/include/c++/6/bits/stl_tree.h: In function ‘std::_Rb_tree<_Key, _Val, _KeyOfValue, _Compare, _Alloc>::iterator std::_Rb_tree<_Key, _Val, _KeyOfValue, _Compare, _Alloc>::_M_emplace_hint_unique(std::_Rb_tree<_Key, _Val, _KeyOfValue, _Compare, _Alloc>::const_iterator, _Args&& ...) [with _Args = {const std::piecewise_construct_t&, std::tuple<long long/int&&="">, std::tuple<>}; _Key = long long int; _Val = std::pair<const long/int,/openzwave::manufacturerspecific::product*="">; _KeyOfValue = std::_Select1st <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">>; _Compare = std::less<long long/int="">; _Alloc = std::allocator <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">>]’:
    ! /usr/include/c++/6/bits/stl_tree.h:2193:7: note: parameter passing for argument of type ‘std::_Rb_tree<long long/int,/std::pair<const/openzwave::manufacturerspecific::product*="">, std::_Select1st <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">>, std::less<long long/int="">, std::allocator <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">> >::const_iterator {aka std::_Rb_tree_const_iterator <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">>}’ will change in GCC 7.1
    ! _Rb_tree<_Key, _Val, _KeyOfValue, _Compare, _Alloc>::
    ! ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ! In file included from /usr/include/c++/6/map:61:0,
    ! from /home/pi/node_modules/iobroker.zwave/open-zwave-master/cpp/src/command_classes/CommandClasses.h:32,
    ! from /home/pi/node_modules/iobroker.zwave/open-zwave-master/cpp/src/command_classes/ManufacturerSpecific.cpp:28:
    ! /usr/include/c++/6/bits/stl_map.h: In static member function ‘static bool OpenZWave::ManufacturerSpecific::LoadProductXML()’:
    ! /usr/include/c++/6/bits/stl_map.h:502:4: note: parameter passing for argument of type ‘std::_Rb_tree<long long/int,/std::pair<const/openzwave::manufacturerspecific::product*="">, std::_Select1st <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">>, std::less<long long/int="">, std::allocator <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">> >::const_iterator {aka std::_Rb_tree_const_iterator <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">>}’ will change in GCC 7.1
    ! __i = _M_t._M_emplace_hint_unique(__i, std::piecewise_construct,
    ! ^~~
    ! /usr/include/c++/6/bits/stl_map.h:502:4: note: parameter passing for argument of type ‘std::_Rb_tree<long long/int,/std::pair<const/openzwave::manufacturerspecific::product*="">, std::_Select1st <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">>, std::less<long long/int="">, std::allocator <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">> >::const_iterator {aka std::_Rb_tree_const_iterator <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">>}’ will change in GCC 7.1
    ! __i = _M_t._M_emplace_hint_unique(__i, std::piecewise_construct,
    ! ^~~
    ! /usr/include/c++/6/bits/stl_map.h:502:4: note: parameter passing for argument of type ‘std::_Rb_tree<long long/int,/std::pair<const/openzwave::manufacturerspecific::product*="">, std::_Select1st <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">>, std::less<long long/int="">, std::allocator <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">> >::const_iterator {aka std::_Rb_tree_const_iterator <std::pair<const long/int,/openzwave::manufacturerspecific::product*="">>}’ will change in GCC 7.1
    ! __i = _M_t._M_emplace_hint_unique(__i, std::piecewise_construct,
    ! ^~~
    ! Makefile:224: Documentation not being built
    ! npm WARN saveError ENOENT: no such file or directory, open '/home/pi/package.json'
    ! npm WARN enoent ENOENT: no such file or directory, open '/home/pi/package.json'
    ! npm WARN pi No description
    ! npm WARN pi No repository field.
    ! npm WARN pi No README data
    ! npm WARN pi No license field.
    ! + iobroker.zwave@1.3.1
    ! updated 1 package and audited 6 packages in 810.501s
    ! found 0 vulnerabilities</std::pair<const></std::pair<const></long></std::pair<const></long></std::pair<const></std::pair<const></long></std::pair<const></long></std::pair<const></std::pair<const></long></std::pair<const></long></std::pair<const></std::pair<const></long></std::pair<const></long></std::pair<const></long></std::pair<const></const></long>

    Was mich etwas stutzig macht ist, dass die Installation nach /home/pi erfolgt. iobroker läuft mit dem User iobroker

    ps aux | grep -i iobroker
    avahi      282  0.0  0.3   6532  3176 ?        Ss   07:26   0:00 avahi-daemon: running [ioBroker-RasPi.local]
    iobroker   414  4.2  7.5 153564 71628 ?        Ssl  07:27   1:13 iobroker.js-controller
    iobroker   483  1.2  4.4 138768 42332 ?        Sl   07:27   0:22 io.admin.0
    iobroker   489  0.2  3.1 117532 30200 ?        Sl   07:27   0:04 io.discovery.0
    iobroker   503  2.5  5.7 140956 54672 ?        Sl   07:27   0:43 io.tr-064.0
    iobroker   509  6.8  3.9 122540 37520 ?        Sl   07:27   1:57 io.hue.0
    iobroker   524  0.7  3.5 118624 33332 ?        Sl   07:27   0:13 io.ping.0
    iobroker   541  0.4  3.5 129012 33288 ?        Sl   07:27   0:06 io.web.0
    iobroker   555  0.2  3.2 117192 30644 ?        Sl   07:27   0:04 io.history.0
    iobroker   575  1.6  8.6 164592 82304 ?        Sl   07:27   0:27 io.javascript.0
    iobroker   585  0.5  3.8 132476 36996 ?        Sl   07:27   0:09 io.fritzdect.0
    iobroker   591  1.5  8.6 164080 81836 ?        Sl   07:27   0:26 io.javascript.1
    root      1417  0.0  0.0   4776   568 pts/0    S+   07:56   0:00 grep -i iobroker
    
    

    Bin noch relativ frisch dabei ( wie man am Aufruf mit -usafe sehen kann 🙂 ) Freue mich daher über jede Hilfe, wie ich den Zwave-Adapter zum Fliegen bringen kann.

    Grüße Detlev.

  • Developer

    Du musst die install befehle auch unter /opt/iobroker ausführen, nicht in home verzeichnis

    Gesendet von unterwegs

Suggested Topics

1.2k
Online

36.9k
Users

42.6k
Topics

591.1k
Posts